import Vue from 'vue';
import Router from 'vue-router';
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err);
};
Vue.use(Router);
export default new Router({
  routes: [
    {
      path: '/',
      name: 'index',
      component: () => import('../views/index.vue'),
    },
    {
      path: '/info',
      name: 'info',
      component: () => import('../views/info.vue'),
    },
    {
      path: '/train',
      name: 'train',
      component: () => import('../views/train.vue'),
    },
    {
      path: '/natural',
      name: 'natural',
      component: () => import('../views/natural.vue'),
    },
    {
      path: '/service',
      name: 'service',
      component: () => import('../views/service.vue'),
    },
  ],
});
